Ruby - Feature #1431

Object#__class___
05/04/2009 05:59 PM - svoop (Sven Schwyn)

Status: Rejected

Priority: Normal

Assignee: matz (Yukihiro Matsumoto)
Target version: 2.0.0

Description

=begin

Consider the following code using class instance variables:

class Car

def self.total_count=(n)
@total_count = n

end

def initialize
self.class.total _count=0
end

end

The compile requires "self.class.total_count" as the more readable "class.total_count" is mistaken by the parser as a faulty class
definition.

How about adding a class method to Object?

class Object
def class
self.class
end

end

It would allow the use of "class" as a de facto prefix for class instance variables and would fit e.g. the id/id and send/send paradigm.
=end

History

#1 - 07/14/2009 12:00 AM - yugui (Yuki Sonoda)
- Assignee set to matz (Yukihiro Matsumoto)
- Priority changed from Normal to 3

- Target version set to 2.0.0

=begin

=end

#2 - 09/19/2009 05:47 AM - marcandre (Marc-Andre Lafortune)

=begin
-1 because:

a) class is more keystrokes (if you count the shift key)

b) self.class is clear (and exists currently)

c) | feel that something should ideally be reserved for special cases; self.class isn't. | am aware that FILE was used a lot before and there's talk
about dir, but | think that require_relative is now a better solution for most of these cases.

=end

#3 - 10/11/2009 01:46 AM - naruse (Yui NARUSE)
- Status changed from Open to Rejected

=begin
=end
